Subject: Re: [PATCH v3 3/7] unit-tests: add for_test

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 Jul 2024 08:59:00 -0700

Patrick Steinhardt <[email-masked]> writes:

> As I said when mentioning how libgit2 does it, I'd be happy to present a
> working prototype for this if others think it was potentially useful.
> Until now I didn't hear any positive feedback thoguh, you're the first
> one saying that this might be something that is worth doing.
>
> I just want to avoid wasting time on something that has no chance of
> landing in the first place.

It takes such a sizeable effort to make it pleasant to use the
TEST() thing, it becomes somewhat questionable that it is worth the
effort.  What I was hoping to see was hinted in the part you did not
quote ;-)

If there is an existing well-written framework for C unit tests we
can apply to our project, it may not have to be so much "magic".  If
you think theirs is not so good and worth copying, then let's not.

Thanks.